Bug 62840 - pam doesn't work with symlinks in /etc/securetty
pam doesn't work with symlinks in /etc/securetty
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 20:12 EST by hjl
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 09:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-04-05 20:12:14 EST
If you put a symlink from /dev in /etc/securetty, like

# cd /dev
# ln -s ttyS0 ttyFOO
# grep -v ttyS0 /etc/securetty > /tmp/securetty
# echo ttyFOO >> /tmp/securetty
# mv /tmp/securetty /etc

root can't log in on /dev/ttyS0 even though
ttyFOO is in /etc/securetty
Comment 1 Tomas Mraz 2004-10-21 09:47:47 EDT
This can be viewed as a feature - you are not logging in from ttyF00
but from ttyS0, so ttyS0 should be in securetty not ttyF00.

Note You need to log in before you can comment on or make changes to this bug.